PDA

View Full Version : Problem installing mplayer from livna



eschi
8th May 2006, 09:00 PM
When I do a

yum install mplayer

I get an error:

Error: Missing Dependency: libaa.so.1 is needed by package mplayer
Error: Missing Dependency: libopenal.so.0 is needed by package mplayer
Error: Missing Dependency: liblirc_client.so.0 is needed by package mplayer
Error: Missing Dependency: libdirectfb-0.9.so.24 is needed by package mplayer
Error: Missing Dependency: libenca.so.0 is needed by package mplayer
Error: Missing Dependency: libxmms.so.1 is needed by package mplayer
Error: Missing Dependency: libmpcdec.so.3 is needed by package mplayer

It would be nice if somebody can help me. :confused:

Spoon!
8th May 2006, 09:12 PM
Do you have Extras enabled? Livna depends on Extras.

eschi
8th May 2006, 09:31 PM
Yes, the extras repo is enabled. Also the core, livna, livna-i386, macromedia, updates and updates-i386 repo.

lazlow
8th May 2006, 09:46 PM
I do not know why it is not giving you the dependancies. You can do it the hard way: yum provides X. From my system it looks like you need aalib.i386, opena1.i386, and others.

good luck
Lazlow

eschi
8th May 2006, 10:44 PM
Thank you lazlow.

After doing:
rpm -Uvh aalib-1.4.0-5.1.fc3.rf.i386.rpm compat-slang-1.4.9-27.2.1.i386.rpm
rpm -Uvh openal-0.0.9-0.5.20060204cvs.fc5.i386.rpm
rpm -Uvh directfb-0.9.24-5.fc5.i386.rpm sysfsutils-1.3.0-1.2.1.i386.rpm
rpm -Uvh lirc-0.8.0-3.fc5.i386.rpm portaudio-18.1-7.fc5.i386.rpm
rpm -Uvh enca-1.9-2.fc5.i386.rpm
rpm -Uvh xmms-libs-1.2.10-23.fc5.i386.rpm mikmod-3.1.6-36.2.1.i386.rpm
rpm -Uvh libmpcdec-1.2.2-2.fc5.i386.rpm

and

yum remove libmad

I was able to make a yum install mplayer.